import request from '@/utils/request'

// 查询资料类型列表
export function listTechType(query) {
  return request({
    url: '/tech/techType/list',
    method: 'get',
    params: query
  })
}

// 查询资料类型详细
export function getTechType(id) {
  return request({
    url: '/tech/techType/' + id,
    method: 'get'
  })
}

// 新增资料类型
export function addTechType(data) {
  return request({
    url: '/tech/techType',
    method: 'post',
    data: data
  })
}

// 修改资料类型
export function updateTechType(data) {
  return request({
    url: '/tech/techType',
    method: 'put',
    data: data
  })
}

// 删除资料类型
export function delTechType(id) {
  return request({
    url: '/tech/techType/' + id,
    method: 'delete'
  })
}
